function Boot()
{
  var Collect_RunAtStartup_Data      = function(){Boot.prototype._Collect_RunAtStartup_Data_();};
  var Transmission_RunAtStartup_Data = function(){Boot.prototype._Transmission_RunAtStartup_Data_();};
  this.Save_RunAtStartup_Data        = function(that){return Boot.prototype._Save_RunAtStartup_Data_(that);};

  var Reboot = function(ssocket){Boot.prototype._Reboot_(ssocket);};
  var Polling = function(ssocket){Boot.prototype._Polling_(ssocket);};
  var ReceiveServerMessage = function(that, ssocket){Boot.prototype._Receive_(that, ssocket);};
  this.DeviceRestart = function(that){Boot.prototype._DeviceRestart_(that);};
  
  this.ShowUi   = function()        {Boot.prototype._ShowUi_();};
}